﻿using Infragistics;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace XamPieChartBrushBindingCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public BrushCollection MyBrushPalette { get; set; }

        Brush[] brushes = { Brushes.Red, Brushes.Orange, Brushes.Yellow, Brushes.Green, Brushes.LimeGreen };

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            MyBrushPalette = new BrushCollection();

            for(int i=0; i<brushes.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = "Label " + i.ToString(),
                    Value = 1
                });

                MyBrushPalette.Add(brushes[i]);
            }            
        }
    }

    public class SampleData
    {
        public string Label { get; set; }
        public int Value { get; set; }
    }   
}
